Advanced SolidWorks – Adding an Equation

advertisement
ME Lab SolidWorks Tutorial 1
This tutorial is intended as a “reintroduction” to SolidWorks. It assumes that you have some prior
SolidWorks experience (probably in Intro Mech Design). The major goal of this tutorial is to teach
you some of the best practices in SolidWorks, so that you’ll find it easier to work with large and
complicated parts or assemblies. We will use this tutorial to build a very simple tachometer
assembly that you’ll use in the Arduino tutorials at the end of the semester.
The tachometer assembly centers around a “Reflective Object Sensor” model number OPB704,
made by Optek Technology, Inc. The datasheet for the sensor can be found on the Digikey website
www.digikey.com
by searching on the string “OPB704”. At the top of the
second page of the datasheet is a dimensioned drawing that we
will work from. Examine the drawing, and see if you can
develop a strategy for building the part in SolidWorks.
First, note that there are two planes of symmetry in the part
(only the top-bottom direction is not symmetric). You should
always take advantage of symmetry because it allows for
mirroring, symmetric relations and other handy tools. One of the
most important decisions you make when you create a part is
the location of the origin. Placing the origin at the center of
the part will almost always make your life easier later on.
For this part, a good place to put the origin is at the bottom
center of the sensor. Draw the sketch shown at right to begin
the part. Extrude the sketch Midplane to a depth of 0.2in.
Now you can use the Mirror feature (in the Features toolbar)
to create the other half of the sensor.
Click on the front face of the part to create a sketch for the slot.
Add a Vertical relation to make the slot centered above the origin. It
may not be obvious from the
drawing, but the slot is 0.125” wide.
Use Extruded Cut, Through All to
cut out the slot.
Now would be a good time to add
an Appearance to the part. Click the
multicolored sphere near the top
center of the screen (the Appearances
tool). On the right side of the
screen will appear a menu showing a
large variety of appearances. Choose
1
Plastic, Black High Gloss Plastic to make the part appear similar to real life. We will give the leads and
sensor windows the appropriate appearances later.
Now, add a sketch with two circles to the bottom face. Extrude these to a depth of 0.15 inches and
give them a Chrome Plate appearance. In reality, the leads are probably tin plated, but the chrome
looks cool! Mirror the two leads for a total of four.
The final touch we’ll add to the part are the emitter and detector windows at the top. The drawing
doesn’t give exact dimensions, so we’ll use a little artistic license. Draw the sketch above on the top
of the sensor, and Cut-Extrude it to a depth of 0.01in. Add a Red Neon Tube Appearance to the
resulting surface, and then Mirror it. We are now done with the sensor, so make sure to save it!
2
Circular Patterns and Equations – The Daisy Wheel
The next part we’ll make is the daisy wheel, which alternately reflects
and transmits light from the sensor. In constructing a daisy wheel, we
will use the waterjet (or laser cutter) to cut the wheel from a flat sheet,
then glue or screw the flat sheet to a cylindrical hub. Let us create the
wheel first, and then use the Hole Wizard tool to create holes for the
appropriate fasteners.
First, draw the two circles shown at right. Extrude it Blind to a
thickness of 0.125in.
Now create a new sketch on the front face. To create one of the
slots, we’ll need an inside and outside arc, as well as radial lines
connecting them. The easiest way to generate these arcs is using the
Offset Entities tool. Hover over the outside of the wheel, and set
the offset to 0.125”. You may have to check the Reverse box to force
the circle inside. Hit the green check mark to create the circle. Next,
create another Offset, but this time at a distance of 0.5in. Your
sketch should look something like the one below.
Create two radial lines coming out from the origin, and create a vertical
centerline. Make the two lines symmetric about the origin. Trim the lines
appropriately in order to make the slot shown below. You might need to
add a Coincident relation between the radial lines and the origin to fully
define the sketch. When the sketch is fully defined, perform an Extruded
Cut, Through All to create the slot.
Next, we will tell SolidWorks to create copy the slot around the circle. In the
Features tab click the pulldown menu under Linear Pattern and select
Circular Pattern. For the Pattern Axis select the surface of the inside hole.
For the Features to Pattern select the Extruded Cut feature that created the
slot. In the Number of Instances box enter the number 4 for now. Click the
green check mark to create the circular pattern.
3
Advanced SolidWorks – Adding an Equation
During your development of a tachometer it is very likely that you’ll need to build multiple daisy
wheels, to test which number of slots gives the most reliable results. Rather than having to redraw
the part anew each time, it makes more sense to build some intelligence into the part, so that you
only need to change a single number – the number of slots. To do this, we will create Global
Variables and Equations that will tie together the number of slots, and the angular cutout for each
slot.
First, go to the Tools menu and select Equations… A relatively intimidating dialog box will
appear, with a large table. Under the Global Variables heading, click in the box that says Add
Global Variable. Type NumSlots and then hit the tab key. This will take you to the
Value/Equation column. In this column, type the number 6, and hit tab again. The Evaluates
To column should now show the number 6, which is the result of the very simple equation you just
typed in.
At the top of the Equations, Global Variables and Dimensions dialog box you will see four
square buttons. Hover over each button until you find the Dimension View button. This replaces the
Equations heading with a heading called Dimensions. Each sketch dimension and feature
parameter is shown under this heading, along with the associated values. At the bottom of the
column, you’ll see a parameter called D1@CirPattern1, which has a value of 4. You should recognize
this as the number of slots that we specified in the Circular Pattern.
Click in the Value/Equation column of the D1@CirPattern1 entry, and erase the 4. Type an equals
sign, and then click Global Variables → NumSlots (6), and click the green check mark. The Evaluates
To column should update itself to 6. If you check the Automatically Rebuild box at the bottom left
corner, you’ll see the number of slots on the daisywheel increase to 6!
Go back up to the NumSlots row and change the number of slots to 10.
Click OK to exit the dialog box. Your daisywheel should look like the
figure at right. The width of each slot has remained the same, but the
area between the slots has become too narrow. It would be best if the
angle swept out by each slot could be changed, depending upon the
number of slots. In fact, we wish that
𝜃=
360
2𝑁
where θ is the angle swept out by each slot and N is the number of slots. Since the number of slots
plus spaces between slots is twice the number of slots, we must divide 360 degrees by 2N to arrive at the
appropriate angle
In the Feature Tree right-click the Equations entry and click Manage Equations.
Assuming that you are still in Dimension View, you should see the slot angle
dimension (it is shown as D3@Sketch2 on my part, but may be different in
yours). Erase the 30deg in the box, and type an equals sign. Then type
180/“NumSlots” and click the green check mark. Click OK to exit the dialog
box, and you’ll see that the slots and spaces between slots have equal angles.
4
We now have a part that can be easily updated to reflect the required number of slots. To change
the number of slots, right-click Equations in the Feature Tree and select Manage Equations.
Choose the NumSlots equation, and change the number of slots to a new value. Click OK to exit the
dialog, and see the new number of slots appear in the part!
Advanced SolidWorks – Configurations
When designing a complex assembly, it is quite common to find yourself with many parts that are
very similar to each other, but different in a minor detail. In the present case, you might need
several daisy wheels on a large assembly, each with a different sized mouting hole. Again, it makes
little sense to develop many different part files; instead we commonly use the Configuration tab to
create many versions of the same part.
For each of the configurations we will make, the mounting holes will be in the same location – they
will differ only in size. To avoid having to make the same positioning sketch repeatedly, we will first
create a “layout sketch” that we can later use to position the holes. Click on the front face of the
daisy wheel and draw the sketch shown above. Use Symmetric and Horizontal relations to fully define
the sketch.
Click the third tab at the top of the Feature Tree to enter the Configurations tab. By default, the
first configuration you create is called “Default” (sensibly enough!) By slowly double-clicking on
this name, you can change it to something meaningful (e.g. “8-32”). Now, right-click the top item in
the tree and select Add Configuration. In the dialog that appears, give the new configuration a
name (e.g. “10-32”) and click the check mark. Now go back to the Features tab, and use the Hole
Wizard to place two countersunk 10-32 clearance holes at the points you just defined in the sketch.
To switch between configurations, go back to the Configuration tab and double-click the desired
name. While in the “8-32” configuration, add two 8-32 tapped through-holes at the sketch points.
Your two configurations should look like the figures below.
5
Some Final Touches to the Daisy-Wheel
The daisy-wheel still has sharp edges around the outside, which may present a hazard to the user.
To remedy this, add a 0.01” chamfer around the two outside edges. Since you were in one of the
configurations when you added the chamfer, it will be suppressed in the other configuration.
Double-click the other configuration, and Unsuppress the chamfer in the Feature Tree. You can
do this by right-clicking the Chamfer feature and selecting the Unsuppress icon (the second from
the left in the top row).
If the daisy-wheel is to be added to a precisely-engineered system, we might need to know its mass
and moment of inertia. To calculate these, we must first apply material properties to the part. To
do this, right-click Material in the Feature Tree, and select Edit Material. It is likely that we will
create the material from aluminum sheet on the waterjet, so select 6061-T6 aluminum alloy from the
list of available materials.
Now click the Evaluate tab at the top of the viewport and choose Mass Properties. Since we
made the part in inches, the units are likely in Imperial, rather than SI. You know from Dynamics
and other classes that calculations in Imperial units (especially where mass is involved) can quickly
become miserable and error-prone. Therefore, it is advisable to display the mass properties in SI
units – specifically kilograms and meters. Click the Options… button at the top of the dialog box
and select the Use Custom Settings radio button. Select meters for the Length, kilograms for the
Mass and meters^3 for the Per Unit Volume. Also, select eight decimal places, since the moment of
inertia numbers will be quite small. For a simple part such as the daisy-wheel, it makes sense to slide
the Accuracy level bar all the way to Higher (slower).
6
The Mass Properties screen should look something like the one shown above. The mass is 0.028
kg. We are primarily interested in the moment of inertia about the axis of rotation, which is the z
axis, in this case. SolidWorks automatically calculates the orientations of the principle axes and their
corresponding moments of inertia, but we usually don’t need them. Instead, we are normally
concerned with the matrix shown at the bottom of the box, the “Moments of inertia, Taken at the
center… system”. The numbers along the diagonals of this matrix give the moments of inertia
about the x, y and z axes that are shown in red, green and blue at the lower left corner of the screen.
It is important to note that these moments of inertia are taken about the origin, so if your part
doesn’t rotate about the origin, you’ll need to use the parallel axis theorem! Luckily, the daisy-wheel
does rotate about the origin, and the moment of inertia we need is 0.00001988 kg-m2.
7
The Output Shaft
The next part we will create is the output shaft from an air-powered motor. Inside the motor the
shaft is ½” in diameter, and it is also ½” in diameter when it passes through the tachometer.
Between these two sections is a length with ¾” diameter, which serves to keep the shaft aligned
axially between two bearings. The simplest way to build a shaft like this is to use a Revolve feature.
Draw the sketch shown in the figure below, and use Revolved Boss/Base to generate the shaft.
Torque is transmitted into and out of the shaft using keys and keyways. These will be cut on the
milling machine using an end mill. The standard square key size for a ½” diameter shaft is 0.125”.
Ideally, half of the key should be inside a groove cut in the shaft, with the other half inside the
mating part. One easy way to accomplish this is to create a Reference Plane that is tangent to the
outside diameter of the shaft, and then draw a sketch on this plane.
Click the one of the ½” diameters of the shaft, and in the Features tab, click Reference Geometry,
Plane. The default plane type is Tangent, since you selected a cylindrical face. For the Second
Reference, SolidWorks needs to know a plane that is parallel to the reference plane we are creating.
Choose Top Plane from the Feature Tree, choose the Parallel option, and click the green check mark.
Now choose the plane you just created, and draw the sketch shown above. The easiest way to
produce the end lines is to use the Convert Entities button in the Sketch toolbar. Use the
Extruded Cut button to cut the key slots to a depth of 1/16”.
A Quiz (sort of!)
The last part we will construct is simple enough that you can do it without
guidance. The bushing that the daisy wheel is mounted on is a cylinder
with an outside diameter of 1.5”, an inside diameter of 0.5”, a length of
0.75”, and two tapped holes for the screws that attach to the daisy wheel.
There are also two setscrew holes (8-32) oriented at 90º to each other.
These are for attaching the bushing to the shaft. Finally, place a 1/16”
fillet on the outer diameter that faces away from the daisy wheel. How
much does the part weigh if it’s made of brass? Note: in order for the
setscrew holes not to interfere with the mounting holes, one set must be
oriented at a 45º to the other set. Which set of holes is it easier to rotate?
8
Download